incubator-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From w...@apache.org
Subject [incubator] branch master updated: Build with new clutch process and pages
Date Tue, 19 Mar 2019 00:30:20 GMT
This is an automated email from the ASF dual-hosted git repository.

wave pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator.git


The following commit(s) were added to refs/heads/master by this push:
     new 7a95a7d  Build with new clutch process and pages
7a95a7d is described below

commit 7a95a7d6da8d03793a8fe04c89e2c37f41882554
Author: Dave Fisher <dave@davefisher.tech>
AuthorDate: Mon Mar 18 17:30:17 2019 -0700

    Build with new clutch process and pages
    
    Build is reordered and uses a new clutch process. Site is baked after the SVN, Anakia,
and Clutch2 are run. If clutch2 fails then the process should abort
---
 build_site.sh | 22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

diff --git a/build_site.sh b/build_site.sh
index f1177c7..21449a3 100755
--- a/build_site.sh
+++ b/build_site.sh
@@ -1,5 +1,6 @@
 #!/bin/bash
 
+CURRENTDIR=`pwd`
 WORKDIR=/tmp/incubator-site
 SVN_CO_DIR=/tmp/incubator-site-content
 SVN_BUILD_DIR=/tmp/incubator-site-build
@@ -8,7 +9,9 @@ SVN_REPO=http://svn.apache.org/repos/asf/incubator/public/trunk/
 # build the git bits
 rm -rf $WORKDIR
 mkdir -p $WORKDIR
-./bake.sh -b . $WORKDIR
+mkdir -p $WORKDIR/clutch
+
+echo $CURRENTDIR
 
 # build the svn bits
 rm -rf $SVN_CO_DIR
@@ -17,12 +20,25 @@ svn co $SVN_REPO $SVN_CO_DIR
 (
     cd $SVN_CO_DIR
     ant docs -Ddocs.dest=$SVN_BUILD_DIR
-    python3 clutch.py
+    # these files were built using ant in the old style
     mv $SVN_BUILD_DIR/ip-clearance $WORKDIR
     mv $SVN_BUILD_DIR/projects $WORKDIR
-    mv $SVN_BUILD_DIR/clutch $WORKDIR
+    # new clutch2 process
+    ./clutch2.sh
+    if [ $? -gt 0 ]; then
+	echo clutch2.sh returned $? - ABORT
+	exit 4
+    fi
+    # these txt files are moved to output
+    cp $SVN_CO_DIR/content/clutch/*.txt $WORKDIR/clutch/.
+    # the following files go to be baked
+    cp $SVN_CO_DIR/content/clutch/_includes/*.ad $CURRENTDIR/pages/clutch/_includes/.
+    cp $SVN_CO_DIR/content/clutch/*.ad $CURRENTDIR/pages/clutch/.
 )
 
+# now bake the site
+./bake.sh -b . $WORKDIR
+
 # push all of the results to asf-site
 git checkout asf-site
 git clean -f -d


---------------------------------------------------------------------
To unsubscribe, e-mail: cvs-unsubscribe@incubator.apache.org
For additional commands, e-mail: cvs-help@incubator.apache.org


Mime
View raw message